cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shazron Abdullah (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-4144) iOS SDK won't install
Date Wed, 10 Jul 2013 17:59:49 GMT

    [ https://issues.apache.org/jira/browse/CB-4144?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13704836#comment-13704836
] 

Shazron Abdullah commented on CB-4144:
--------------------------------------

Do you have Xcode 5 installed side by side per chance?

also what does this output:
{code}
xcode-select --print-path
{code}
                
> iOS SDK won't install
> ---------------------
>
>                 Key: CB-4144
>                 URL: https://issues.apache.org/jira/browse/CB-4144
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CLI, iOS
>    Affects Versions: 2.9.0
>         Environment: OSX 10.8.4
> Xcode 4.6.3
>            Reporter: Michael Stanford
>            Assignee: Shazron Abdullah
>              Labels: installation
>
> Won't install the iOS package on OS X because on my version of Xcode (4.6.3) the output
format of the 
> 	$ xcodebuild -version
> command is incomprehensible to cordova. It looks like this:
> 	$xcodebuild -version 
> 	XcodeComponent versions: DevToolsCore-1763.0; DevToolsSupport-1758.0 BuildVersion: 10M2423
> consequently:
> 	$ cordova platform add ios
> says that the SDK is too old.
> I worked around this by changing line 213 of: /usr/local/lib/node_modules/cordova/src/platform.js,
from:
> 	"if (err)" 
> to:
> 	"if (false)"
> Obviously not a proper solution.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message